import axios from 'axios';
const baseUri = "/sound/function/functionType";
const listAllUrl = baseUri + "";

// 添加
const saveFunctionType = function (data) {
    return axios.post("/sound/function/functionType",data)
}

// 删除
const removeFunctionType = function (id) {
    return axios.delete(`/sound/function/functionType/${id}`,)
}
// 批量删除
const removeBatchFunctionType = function (ids) {
    return axios.delete("/sound/function/functionType/batch",{data:ids})
}

// 修改
const updateFunctionType = function (data) {
    return axios.put("/sound/function/functionType",data)
}
const getColumnOptions = function(column){
    return axios.get("/sound/function/functionType/options",{params:{column}})
}
const copyBatchFunctionType = function (data){
    return axios.post("/sound/function/functionType/copyBatch",data)
}
export {
    listAllUrl,
    saveFunctionType,
    updateFunctionType,
    removeBatchFunctionType,
    removeFunctionType,
    getColumnOptions,
    copyBatchFunctionType

}
